Package org.eclipse.cdt.core.settings.model.extension.impl

# Class CDefaultConfigurationData

java.lang.Object
org.eclipse.cdt.core.settings.model.extension.CDataObject
org.eclipse.cdt.core.settings.model.extension.CConfigurationData
org.eclipse.cdt.core.settings.model.extension.impl.CDefaultConfigurationData

All Implemented Interfaces:
  `ICSettingBase`

public class CDefaultConfigurationData extends CConfigurationData

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CBuildData`
`fBuildData`
`protected String`
`fDescription`
`protected String`
`fId`
`protected boolean`
`fIsModified`
`protected String`
`fName`
`protected CFolderData`
`fRootFolderData`
`protected ICSourceEntry[]`
`fSourceEntries`
`protected CTargetPlatformData`
`fTargetPlatformData`

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`CDefaultConfigurationData(String id, String name, CConfigurationData base, CDataFactory facroty, boolean clone)`
``
`CDefaultConfigurationData(String id, String name, CDataFactory factory)`
`protected`
`CDefaultConfigurationData(CDataFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addRcData(CResourceData data)`
`protected CBuildData`
`copyBuildData(CBuildData data, boolean clone)`
`protected CFileData`
`copyFileData(org.eclipse.core.runtime.IPath path, CFileData base, boolean clone)`
`protected CFileData`
`copyFileData(org.eclipse.core.runtime.IPath path, CFolderData base, CLanguageData langData)`
`protected CFolderData`
`copyFolderData(org.eclipse.core.runtime.IPath path, CFolderData base, boolean clone)`
`protected void`
`copySettingsFrom(CConfigurationData base, boolean clone)`
`protected CTargetPlatformData`
`copyTargetPlatformData(CTargetPlatformData base, boolean clone)`
`CBuildData`
`createBuildData()`
`CFileData`
`createFileData(org.eclipse.core.runtime.IPath path, CFileData base)`
`CFileData`
`createFileData(org.eclipse.core.runtime.IPath path, CFolderData base, CLanguageData langData)`
`CFolderData`
`createFolderData(org.eclipse.core.runtime.IPath path, CFolderData base)`
`CFolderData`
`createRootFolderData()`
`CTargetPlatformData`
`createTargetPlatformData()`
`protected CResourceData[]`
`filterRcDatasToCopy(CConfigurationData base)`
`CBuildData`
`getBuildData()`
`ICdtVariablesContributor`
`getBuildVariablesContributor()`
`String`
`getDescription()`
`CDataFactory`
`getFactory()`
`String`
`getId()`
`String`
`getName()`
`CResourceData`
`getResourceData(org.eclipse.core.runtime.IPath path)`
`CResourceData[]`
`getResourceDatas()`
`CFolderData`
`getRootFolderData()`
`ICSourceEntry[]`
`getSourceEntries()`
`CConfigurationStatus`
`getStatus()`
`CTargetPlatformData`
`getTargetPlatformData()`
`void`
`initEmptyData()`
`boolean`
`isModified()`
`boolean`
`isValid()`
`protected void`
`removeRcData(org.eclipse.core.runtime.IPath path)`
`void`
`removeResourceData(CResourceData data)`
`void`
`setDescription(String description)`
`void`
`setModified(boolean modified)`
`void`
`setName(String name)`
`void`
`setSourceEntries(ICSourceEntry[] entries)`
`protected org.eclipse.core.runtime.IPath`
`standardizePath(org.eclipse.core.runtime.IPath path)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CConfigurationData

`getType`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CDataObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### fDescription

protected String fDescription

### fRootFolderData

protected CFolderData fRootFolderData

### fName

protected String fName

### fId

protected String fId

### fTargetPlatformData

protected CTargetPlatformData fTargetPlatformData

### fBuildData

protected CBuildData fBuildData

### fSourceEntries

protected ICSourceEntry[] fSourceEntries

### fIsModified

protected boolean fIsModified

## Constructor Details

### CDefaultConfigurationData

protected CDefaultConfigurationData(CDataFactory factory)

### CDefaultConfigurationData

public CDefaultConfigurationData(String id, String name, CDataFactory factory)

### CDefaultConfigurationData

public CDefaultConfigurationData(String id, String name, CConfigurationData base, CDataFactory facroty, boolean clone)

## Method Details

### getFactory

public CDataFactory getFactory()

### standardizePath

protected org.eclipse.core.runtime.IPath standardizePath(org.eclipse.core.runtime.IPath path)

### addRcData

protected void addRcData(CResourceData data)

### removeRcData

protected void removeRcData(org.eclipse.core.runtime.IPath path)

### copySettingsFrom

protected void copySettingsFrom(CConfigurationData base, boolean clone)

### filterRcDatasToCopy

protected CResourceData[] filterRcDatasToCopy(CConfigurationData base)

### copyFolderData

protected CFolderData copyFolderData(org.eclipse.core.runtime.IPath path, CFolderData base, boolean clone)

### copyFileData

protected CFileData copyFileData(org.eclipse.core.runtime.IPath path, CFileData base, boolean clone)

### copyFileData

protected CFileData copyFileData(org.eclipse.core.runtime.IPath path, CFolderData base, CLanguageData langData)

### copyTargetPlatformData

protected CTargetPlatformData copyTargetPlatformData(CTargetPlatformData base, boolean clone)

### copyBuildData

protected CBuildData copyBuildData(CBuildData data, boolean clone)

### createFolderData

public CFolderData createFolderData(org.eclipse.core.runtime.IPath path, CFolderData base) throws org.eclipse.core.runtime.CoreException

Specified by:
  `createFolderData` in class `CConfigurationData`
Throws:
  `org.eclipse.core.runtime.CoreException`

### createFileData

public CFileData createFileData(org.eclipse.core.runtime.IPath path, CFileData base) throws org.eclipse.core.runtime.CoreException

Specified by:
  `createFileData` in class `CConfigurationData`
Throws:
  `org.eclipse.core.runtime.CoreException`

### createFileData

public CFileData createFileData(org.eclipse.core.runtime.IPath path, CFolderData base, CLanguageData langData) throws org.eclipse.core.runtime.CoreException

Specified by:
  `createFileData` in class `CConfigurationData`
Throws:
  `org.eclipse.core.runtime.CoreException`

### getDescription

public String getDescription()

Specified by:
  `getDescription` in class `CConfigurationData`

### setDescription

public void setDescription(String description)

Specified by:
  `setDescription` in class `CConfigurationData`

### getResourceDatas

public CResourceData[] getResourceDatas()

Specified by:
  `getResourceDatas` in class `CConfigurationData`

### getRootFolderData

public CFolderData getRootFolderData()

Specified by:
  `getRootFolderData` in class `CConfigurationData`

### createRootFolderData

public CFolderData createRootFolderData() throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### removeResourceData

public void removeResourceData(CResourceData data) throws org.eclipse.core.runtime.CoreException

Specified by:
  `removeResourceData` in class `CConfigurationData`
Throws:
  `org.eclipse.core.runtime.CoreException`

### getResourceData

public CResourceData getResourceData(org.eclipse.core.runtime.IPath path)

### getName

public String getName()

Specified by:
  `getName` in class `CDataObject`

### setName

public void setName(String name)

Specified by:
  `setName` in class `CConfigurationData`

### getId

public String getId()

Specified by:
  `getId` in class `CDataObject`

### isValid

public boolean isValid()

Specified by:
  `isValid` in class `CDataObject`

### getTargetPlatformData

public CTargetPlatformData getTargetPlatformData()

Specified by:
  `getTargetPlatformData` in class `CConfigurationData`

### getSourceEntries

public ICSourceEntry[] getSourceEntries()

Specified by:
  `getSourceEntries` in class `CConfigurationData`

### setSourceEntries

public void setSourceEntries(ICSourceEntry[] entries)

Specified by:
  `setSourceEntries` in class `CConfigurationData`

### getBuildData

public CBuildData getBuildData()

Specified by:
  `getBuildData` in class `CConfigurationData`

### initEmptyData

public void initEmptyData() throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### createTargetPlatformData

public CTargetPlatformData createTargetPlatformData()

### createBuildData

public CBuildData createBuildData()

### getBuildVariablesContributor

public ICdtVariablesContributor getBuildVariablesContributor()

Specified by:
  `getBuildVariablesContributor` in class `CConfigurationData`

### isModified

public boolean isModified()

### setModified

public void setModified(boolean modified)

### getStatus

public CConfigurationStatus getStatus()

Overrides:
  `getStatus` in class `CConfigurationData`